# Request Shipping Quotes

A sample payload to request shipment quotes

```json
{
        "origin" : {
            "first_name" : "Will",
            "last_name" : "Smith",
            "street" : "10 Olasheun Crescent",
            "street_line_2" : "HQ",
            "state" : "Lagos",
            "email" : null,
            "city" : "Obanikoro",
            "country" : "NG",
            "post_code" : "102216",
            "phone" : "+234 800 666 0419",
            "lng" : 3.37,
            "lat" : 6.56,
            "name" : null
        },
    "destination": {
        "first_name": "Joe",
        "last_name": "Goldberg",
        "post_code": "94612",
        "phone": "+1 267 000 0",
        "lng": -122.27,
        "lat": 37.81,
        "name": null,
        "street": "31 Hall Crescent",
        "street_line_2": "",
        "state": "paris",
        "email": "",
        "city": "paris",
        "country": "FR"
    },
    "weight" : 2,
        "dimension" : {
            "length" : 1,
            "width" : 1,
            "height" : 1
        },
        "incoming_option" : "pickup",
        "region" : "NG",
        "service_type" : "international",
        "package_type" : "general",
        "total_value" : 15000,
        "currency" : "NGN",
        "channel_code" : "api",
        "pickup_date" : "2023-07-20",
        "items" : [
            {
                "item_type" : "snail",
                "hts_code": "9001.21",
                "quantity" : 2,
                "name" : "African Wax Fabrics - Orange Lace Fabric that is Not Woven",
                "value" : 1500
            }
        ],
        "service_code": "standard",
        "customs_option": "recipient"
}
```

{% hint style="info" %}
Adding currency to the shipping quotes payload will return quotes in whatever currency that was passed.
{% endhint %}

{% hint style="info" %}
Service code value can be either one of the following: standard, premium or expedient. You can default it in your request.&#x20;
{% endhint %}

```
Staging URL: Staging URL: https://sandbox.staging.sendbox.co/shipping/shipment_delivery_quote
```

## Get Shipping Quotes

`https://live.sendbox.co/shipping/shipment_delivery_quote`

This gets shipping quotes&#x20;

{% tabs %}
{% tab title="Request" %}

## Headers

| Name          | Type   | Description       |
| ------------- | ------ | ----------------- |
| Authorization | String | Authorization-key |
| Content-type  | String | application/json  |

## Body Parameters

<table data-header-hidden><thead><tr><th width="210">Name</th><th width="172.66666666666666">Type</th><th>Description</th></tr></thead><tbody><tr><td>Name</td><td>Type</td><td>Description</td></tr><tr><td>origin</td><td>object</td><td>senders details</td></tr><tr><td>destination</td><td>object</td><td>recipient details</td></tr><tr><td>currency</td><td>String</td><td>shop currency</td></tr><tr><td>weight</td><td>float</td><td>weight of package </td></tr><tr><td>dimension</td><td>object</td><td>dimension details</td></tr><tr><td>incoming_option</td><td>string</td><td>incoming option can be pick up or drop off</td></tr><tr><td>region</td><td>string</td><td>what region is the package is shipped from</td></tr><tr><td>service_type</td><td>string</td><td>set to either international or local</td></tr><tr><td>package_type</td><td>string</td><td>package type</td></tr><tr><td>total_value</td><td>float</td><td>value of shipment</td></tr><tr><td>channel_code</td><td>string</td><td>channel the request is being made from in this case set it to api</td></tr><tr><td>pickup_date</td><td>string</td><td>date package is picked up</td></tr><tr><td>items</td><td>array</td><td><p>An array of objects that contain: </p><p> - name [String]</p><p> - weight [Float]</p><p> - item_type_code [String <em>optional</em>]</p><p> - hts_code [String <em>optional</em>]</p><p> - description [String]</p><p> - quantity  [Integer]</p><p> - value [Float]</p></td></tr><tr><td>service_code</td><td>string</td><td>can be set to international, local or nation-wide</td></tr><tr><td>customs_option</td><td>string</td><td>custom options</td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}
201: Created&#x20;

Shipping quotes returns the different available couriers and their price rated for this particular shipment.

```json
{
    "items": [
        {
            "value": 1500.0,
            "quantity": 2,
            "item_type": "zips",
            "name": "African Wax Fabrics - Orange Lace Fabric that is Not Woven",
            "hts_code": null,
            "disclaim": false
        }
    ],
    "rates": [
        {
            "fee": 30617.0,
            "key": "65901e2c2291eb2af1f23b4f",
            "insurance_option": "standard",
            "applied_credits": 0.0,
            "insurance_fee": 300.0,
            "breakdown": [
                {
                    "value": 28180.93,
                    "code": "base_fee",
                    "name": "Base Fee",
                    "description": "Base Fee"
                },
                {
                    "value": 2136.07,
                    "code": "vat",
                    "name": "Vat",
                    "description": "Vat"
                },
                {
                    "value": 300.0,
                    "code": "insurance_fee",
                    "name": "Insurance Fee",
                    "description": "Insurance Fee"
                },
                {
                    "value": 0,
                    "code": "applied_credits",
                    "name": "Credits",
                    "description": "Credits"
                },
                {
                    "value": 0,
                    "code": "discount_fee",
                    "name": "Discount",
                    "description": "Discount"
                }
            ],
            "delivery_window": "Before 6PM Wednesday",
            "is_enabled": true,
            "caption": "",
            "currency": "NGN",
            "additional_fee": 0.0,
            "insurance_cap": 300.0,
            "delivery_date": "2024-08-21 16:59:03.560544",
            "discount_fee": 0.0,
            "pickup_eta_string": "11AM - 2PM Wednesday",
            "rate_card_id": "65901e2c2291eb2af1f23b4f",
            "sla_description": "Up to 8 working days",
            "base_fee": 28180.93,
            "description": "Standard",
            "vat": 2136.07,
            "pickup_date": "2024-08-14 14:00:03.560544",
            "pickup_window": "11AM - 2PM Wednesday",
            "name": "Standard",
            "rate_type": "standard",
            "volumetric_weight": 0.5,
            "code": "standard",
            "customs_options": [
                "recipient"
            ],
            "billable_weight": 2.0,
            "service_code": "standard",
            "delivery_eta_string": "Before 6PM Wednesday"
        },
        {
            "fee": 34894.0,
            "insurance_option": "standard",
            "applied_credits": 0.0,
            "insurance_fee": 300.0,
            "breakdown": [
                {
                    "value": 32159.53,
                    "code": "base_fee",
                    "name": "Base Fee",
                    "description": "Base Fee"
                },
                {
                    "value": 2434.47,
                    "code": "vat",
                    "name": "Vat",
                    "description": "Vat"
                },
                {
                    "value": 300.0,
                    "code": "insurance_fee",
                    "name": "Insurance Fee",
                    "description": "Insurance Fee"
                },
                {
                    "value": 0,
                    "code": "applied_credits",
                    "name": "Credits",
                    "description": "Credits"
                },
                {
                    "value": 0,
                    "code": "discount_fee",
                    "name": "Discount",
                    "description": "Discount"
                }
            ],
            "delivery_window": "Before 6PM Wednesday",
            "is_enabled": true,
            "caption": "faster delivery",
            "currency": "NGN",
            "additional_fee": 0.0,
            "insurance_cap": 300.0,
            "delivery_date": "2024-08-21 16:59:03.647071",
            "discount_fee": 0.0,
            "pickup_eta_string": "11AM - 2PM Wednesday",
            "rate_card_id": "6594a8914c03ff6e6170ac73",
            "sla_description": "5 to 7 working days, Recommended",
            "base_fee": 32159.53,
            "description": "Premium",
            "vat": 2434.47,
            "pickup_date": "2024-08-14 14:00:03.647071",
            "pickup_window": "11AM - 2PM Wednesday",
            "name": "Premium",
            "rate_type": "premium",
            "volumetric_weight": 0.5,
            "code": "premium",
            "customs_options": [
                "recipient"
            ],
            "billable_weight": 2.0,
            "service_code": "premium",
            "delivery_eta_string": "Before 6PM Wednesday"
        },
        {
            "fee": 44061.0,
            "insurance_option": "standard",
            "applied_credits": 0.0,
            "insurance_fee": 300.0,
            "breakdown": [
                {
                    "value": 40686.97,
                    "code": "base_fee",
                    "name": "Base Fee",
                    "description": "Base Fee"
                },
                {
                    "value": 3074.03,
                    "code": "vat",
                    "name": "Vat",
                    "description": "Vat"
                },
                {
                    "value": 300.0,
                    "code": "insurance_fee",
                    "name": "Insurance Fee",
                    "description": "Insurance Fee"
                },
                {
                    "value": 0,
                    "code": "applied_credits",
                    "name": "Credits",
                    "description": "Credits"
                },
                {
                    "value": 0,
                    "code": "discount_fee",
                    "name": "Discount",
                    "description": "Discount"
                }
            ],
            "delivery_window": "Before 6PM Wednesday",
            "is_enabled": true,
            "caption": "faster delivery",
            "currency": "NGN",
            "additional_fee": 0.0,
            "insurance_cap": 300.0,
            "delivery_date": "2024-08-21 16:59:03.681974",
            "discount_fee": 0.0,
            "pickup_eta_string": "11AM - 2PM Wednesday",
            "rate_card_id": "6594a91f4c03ff6e6170ac83",
            "sla_description": "Up to 5 working days, Fastest",
            "base_fee": 40686.97,
            "description": "Expedited",
            "vat": 3074.03,
            "pickup_date": "2024-08-14 14:00:03.681974",
            "pickup_window": "11AM - 2PM Wednesday",
            "name": "Expedited",
            "rate_type": "expedited",
            "volumetric_weight": 0.5,
            "code": "expedited",
            "customs_options": [
                "recipient"
            ],
            "billable_weight": 2.0,
            "service_code": "expedited",
            "delivery_eta_string": "Before 6PM Wednesday"
        }
    ],
    "destination": {
        "country": "FR",
        "city": "paris",
        "post_code": "94612",
        "state": "paris",
        "lng": -122.27,
        "lat": 37.81
    },
    "rate_type": "standard",
    "status": "successful",
    "currency": "NGN",
    "service_type": "international",
    "rate": {
        "fee": 30617.0,
        "key": "65901e2c2291eb2af1f23b4f",
        "insurance_option": "standard",
        "applied_credits": 0.0,
        "insurance_fee": 300.0,
        "breakdown": [
            {
                "value": 28180.93,
                "code": "base_fee",
                "name": "Base Fee",
                "description": "Base Fee"
            },
            {
                "value": 2136.07,
                "code": "vat",
                "name": "Vat",
                "description": "Vat"
            },
            {
                "value": 300.0,
                "code": "insurance_fee",
                "name": "Insurance Fee",
                "description": "Insurance Fee"
            },
            {
                "value": 0,
                "code": "applied_credits",
                "name": "Credits",
                "description": "Credits"
            },
            {
                "value": 0,
                "code": "discount_fee",
                "name": "Discount",
                "description": "Discount"
            }
        ],
        "delivery_window": "Before 6PM Wednesday",
        "is_enabled": true,
        "caption": "",
        "currency": "NGN",
        "additional_fee": 0.0,
        "insurance_cap": 300.0,
        "delivery_date": "2024-08-21 16:59:03.560544",
        "discount_fee": 0.0,
        "pickup_eta_string": "11AM - 2PM Wednesday",
        "rate_card_id": "65901e2c2291eb2af1f23b4f",
        "sla_description": "Up to 8 working days",
        "base_fee": 28180.93,
        "description": "Standard",
        "vat": 2136.07,
        "pickup_date": "2024-08-14 14:00:03.560544",
        "pickup_window": "11AM - 2PM Wednesday",
        "name": "Standard",
        "rate_type": "standard",
        "volumetric_weight": 0.5,
        "code": "standard",
        "customs_options": [
            "recipient"
        ],
        "billable_weight": 2.0,
        "service_code": "standard",
        "delivery_eta_string": "Before 6PM Wednesday"
    },
    "origin": {
        "country": "NG",
        "city": "obanikoro",
        "post_code": "102216",
        "state": "lagos",
        "lng": 3.37,
        "lat": 6.56
    },
    "region": "NG",
    "service_code": "standard",
    "weight": 2.0,
    "connector_rates": [],
    "package_type": "general"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendbox.co/shipping/request-shipping-quotes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
